package com.sinoqixin.bgdrocketmq.main;

import com.sinoqixin.bgdrocketmq.service.handle.MqDataHandleFactory;
import com.sinoqixin.bgdrocketmq.service.handle.MqDataHandleImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.client.consumer.DefaultMQPushConsumer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.concurrent.Executor;

@Component
@Slf4j
public class RocketMqManager implements CommandLineRunner {

    @Autowired
    private MqDataHandleImpl mqDataHandleImpl;

    @Resource(name = "rocketMqClient")
    private DefaultMQPushConsumer rocketMqClient;

    @Resource(name = "executorTask")
    private Executor executor;


    @Override
    public void run(String... args) throws Exception {
        executor.execute(new MqDataHandleFactory(mqDataHandleImpl.getHandleMap(), rocketMqClient, true));
    }
}
